## com.saxonica.schema
Class ValueRangeFacet

    java.lang.Object
      com.saxonica.schema.Facet
          com.saxonica.schema.ValueRangeFacet

All Implemented Interfaces:
  SerializableSchemaComponent, Serializable

    public class ValueRangeFacet

extends Facet

Represents any of the facets minInclusive, maxInclusive, minExclusive, maxExclusive

See Also:
  Serialized Form

Field Summary
`static int` `MAX_EXCLUSIVE`
`static int` `MAX_INCLUSIVE`
`static int` `MIN_EXCLUSIVE`
`static int` `MIN_INCLUSIVE`

Fields inherited from class com.saxonica.schema.Facet
`ENUMERATION, FRACTIONDIGITS, LENGTH, MAX_LENGTH, MIN_LENGTH, PATTERN, TOTALDIGITS, WHITESPACE`

Fields inherited from interface com.saxonica.schema.SerializableSchemaComponent
`ALL_COMPOSITOR, ATOMIC_TYPE, ATTRIBUTE_DECL, ATTRIBUTE_GROUP, ATTRIBUTE_GROUP_REF, ATTRIBUTE_USE, ATTRIBUTE_WILDCARD, CHOICE_COMPOSITOR, COMPLEX_TYPE, ELEMENT_DECL, ELEMENT_PARTICLE, ELEMENT_WILDCARD, FACET, KEY, KEYREF, LIST_TYPE, MODEL_GROUP, MODEL_GROUP_REF, NOTATION, SEQUENCE_COMPOSITOR, UNION_TYPE, UNIQUE`

Constructor Summary
`ValueRangeFacet(int facetType)`

Method Summary
`void` `checkFacetRestriction(UserSimpleType type, SimpleType base)` Check that this facet is legal when used on a type derived by restriction
`String` `getName()` Returns the name of this Facet
`String` `getValue()` Returns the character (String) representation of this facet
`void` `setValue(String value)`
`boolean` `testAtomicValue(AtomicValue value)` Test whether an atomic value conforms to this facet

Methods inherited from class com.saxonica.schema.Facet
`appliesToWholeList, getComponentTypeCode, getWhitespaceAction, isFixed, isNewlyIntroduced, serialize, setFixed, testLength, toLong`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIN_INCLUSIVE

    public static final int MIN_INCLUSIVE

See Also:
  Constant Field Values

### MAX_INCLUSIVE

    public static final int MAX_INCLUSIVE

See Also:
  Constant Field Values

### MIN_EXCLUSIVE

    public static final int MIN_EXCLUSIVE

See Also:
  Constant Field Values

### MAX_EXCLUSIVE

    public static final int MAX_EXCLUSIVE

See Also:
  Constant Field Values

Constructor Detail

### ValueRangeFacet

    public ValueRangeFacet(int facetType)

Method Detail

### getName

    public String getName()

  Description copied from class: `Facet`
  Returns the name of this Facet

  Overrides:
    `getName` in class `Facet`
  Returns:
    the name of this Facet

### getValue

    public String getValue()

  Description copied from class: `Facet`
  Returns the character (String) representation of this facet

  Overrides:
    `getValue` in class `Facet`
  Returns:
    the value of this facet

### setValue

    public void setValue(String value)
                  throws SchemaException

  Throws:
    `SchemaException`

### checkFacetRestriction

    public void checkFacetRestriction(UserSimpleType type,
                                      SimpleType base)
                               throws SchemaException,
                                      ValidationException

  Check that this facet is legal when used on a type derived by restriction

  Overrides:
    `checkFacetRestriction` in class `Facet`
  Parameters:
    `base` - the type from which the restricted type is derived
    `type` - the type on which the facet is defined
  Throws:
    `SchemaException` - if the facet is not legal
    `ValidationException`

### testAtomicValue

    public boolean testAtomicValue(AtomicValue value)

  Test whether an atomic value conforms to this facet

  Overrides:
    `testAtomicValue` in class `Facet`
  Parameters:
    `value` - the value to be tested
  Returns:
    true if the value conforms; false if it doesn't conform, or if the test fails

Copyright (C) Michael H. Kay. All rights reserved.